Subject: Re: Sergey's cygwin.dll
From: [email-masked] (Seymore Buttz)

5 Jun 1997 22:00:41 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0b5 [en] (Win95; I)
Original-To: GNU Win 32 <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Colman Curtin wrote:
> 
> >bash$ ls
> >(unknown) heap_init: unable to allocate heap, win32 error 8
> >cygwin: terminating
> >bash$
> 
> >Sergey told me error 8 is an out of memory error, but I've got
> plenty.
> >And the Win95 swap file is no where near maxed out, should it want
> more
> >memory.
> 
> I get similar errors to this.
> as with the previous example, but ls works fine at first but say after
> a cd
> to a sub dir it fails.
> 
> :/root/usr/src> cd tsock
> :usr/src/tsock> ls
> (C:\GNUWIN32\B18\H-I386-CYGWIN32\BIN\BASH.EXE 1000) forkee heap_init:
> unable
> to
> allocate heap, win32 error 8
> cygwin: terminating
> fork_helper: child died before initialization with win32 error 1
> 
> running on Win95,p133,16M.
> 

In my case, there were some more old cygwin.dll files in the
distribution.  Check /H-i386*/bin and /H-i386*/i386*/lib.
Just rename those to something else, and you'll be all set.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".